MAFFT-HOMOLOGS(1)

NAME
    mafft-homologs - aligns sequences together with homologues automatically collected from SwissProt via NCBI BLAST

SYNOPSIS
    mafft-homologs [options] input [> output]

DESCRIPTION
    The accuracy of an alignment of a few distantly related sequences is considerably improved when being aligned together with their close homologs. The reason for the improvement is probably the same as that for PSI-BLAST. That is, the positions of highly conserved residues, those with many gaps and other additional information is brought by close homologs. According to Katoh et al. (2005), the improvement by adding close homologs is 10% or so, which is comparable to the improvement by incorporating structural information of a pair of sequences. Mafft-homologs in a mafft server works like this:

        1. Collect a number (50 by default) of close homologs (E=1e-10 by default) of the input sequences.

        2. Align the input sequences and homologs all together using the L-INS-i strategy.

        3. Remove the homologs.

OPTIONS

    -a n
        The number of collected sequences (default: 50).

    -e n
        Threshold value (default: 1e-10).

    -o xxx
        Options for mafft (default: " --op 1.53 --ep 0.123 --maxiterate 1000 --localpair --reorder").

    -l
        Locally carries out BLAST searches instead of NCBI BLAST (requires locally installed BLAST and a database).

    -f
        Outputs collected homologues also (default: off).

    -w
        entire sequences are subjected to BLAST search (default: well-aligned region only)

REQUIREMENTS

    MAFFT version > 5.58.

    Either of

        lynx (when remote BLAST server is used)

        BLAST and a protein sequence database (when local BLAST is used)

REFERENCES

    Katoh, Kuma, Toh and Miyata (Nucleic Acids Res. 33:511-518, 2005) MAFFT version 5: improvement in accuracy of multiple sequence alignment.

SEE ALSO

    mafft(1)

AUTHORS

    Kazutaka Katoh <katoh_at_bioreg.kyushu-u.ac.jp.>

        Wrote Mafft.

    Charles Plessy <charles-debian-nospam@plessy.org>

        Wrote this manpage in DocBook XML for the Debian distribution, using Mafft's homepage as a template.

COPYRIGHT
    Copyright © 2002-2007 Kazutaka Katoh (mafft)
    Copyright © 2007 Charles Plessy (this manpage)

    Mafft and its manpage are offered under the following conditions:

    Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

        1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

        2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

        3. The name of the author may not be used to endorse or promote products derived from this software without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.